/* 
 * Vertex shader for orthogonal projection. 
 * xorc1zt
 * 2012
 *
 * About x64: Vertex must be 4 bytes Integer (INT32).
 *
*/

#version 330

//-- INPUT --
in ivec3 in_Vertex3D;
in vec2 in_TexCoord0;
uniform mat4 projection;

//-- OUTPUT --
out vec2 texCoord0;


//-- MAIN --
void main() 
{   
    gl_Position = projection * vec4( in_Vertex3D, 1 );
    texCoord0   = in_TexCoord0;
}